From: Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>
Date: Sat, 1 May 2021 17:44:27 +0000
Subject: s5k3l6xx: Fix suspend/resume returns

---
 drivers/media/i2c/s5k3l6xx.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index b62f682..b6cb4ad 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -990,9 +990,7 @@ static int __maybe_unused s5k3l6xx_suspend(struct device *dev)
 	if (state->streaming)
 		s5k3l6xx_hw_set_stream(state, 0);
 
-	s5k3l6xx_set_power(sd, FALSE);
-
-	return 0;
+	return s5k3l6xx_set_power(sd, FALSE);
 }
 
 static int __maybe_unused s5k3l6xx_resume(struct device *dev)
@@ -1007,10 +1005,10 @@ static int __maybe_unused s5k3l6xx_resume(struct device *dev)
 	ret = s5k3l6xx_set_power(sd, TRUE);
 	msleep(500);
 
-	if (state->streaming)
+	if (ret == 0 && state->streaming)
 		s5k3l6xx_hw_set_stream(state, 1);
 
-	return 0;
+	return ret;
 }
 
 // FIXME: are we even using this?
